CentOS6.7でlibc.so.6(GLIBC_2.11) is needed by MarkLogic-8.0-6.x86_64対策

1.エラー情報
# rpm -ivh MarkLogic-RHEL6-8.0-6.x86_64.rpm
error: Failed dependencies:
libc.so.6(GLIBC_2.11) is needed by MarkLogic-8.0-6.x86_64
2.libc.so.6の検索
#yum provides libc.so.6
glibc-2.12-1.192.el6.i686
#rpm -qa | grep gdb
gdbm-devel-1.8.0-39.el6.x86_64

3.インストールされたglibcを確認
# rpm -qa | grep glibc
glibc-devel-2.12-1.192.el6.x86_64
glibc-common-2.12-1.192.el6.x86_64
glibc-headers-2.12-1.192.el6.x86_64
glibc-2.12-1.192.el6.x86_64
# rpm -qa | grep libgcc
libgcc-4.4.7-16.el6.x86_64
# rpm -qa | grep nss-softokn-freebl
nss-softokn-freebl-3.14.3-23.el6_7.x86_64
# ls -al glibc-2.12*

4.依存関係パッケージをインストールする
#rpm -ivh libgcc-4.4.7-16.el6.i686.rpm glibc-2.12-1.192.el6.i686.rpm nss-softokn-freebl-3.14.3-23.el6_7.i686.rpm
warning: libgcc-4.4.7-16.el6.i686.rpm: Header V4 DSA/SHA1 Signature, key ID 192a7d7d: NOKEY
Preparing… ########################################### [100%]
1:libgcc ########################################### [ 33%]
2:nss-softokn-freebl ########################################### [ 67%]
3:glibc ###########################################
# rpm -ivh MarkLogic-RHEL6-8.0-6.x86_64.rpm
Preparing… ########################################### [100%]
1:MarkLogic ###########################################

Comments are closed.